## python-packaging 16.7

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/packaging.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/packaging.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/packaging"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/packaging"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-packaging 16.2

=== debian/changelog ===
python-packaging (16.2-2~nd+1) sid; urgency=medium

  * Backported for sid.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 26 Feb 2016 13:52:34 -0500

python-packaging (16.2-2) unstable; urgency=medium

  * Build-depend on python-six, python3-six.

 -- Matthias Klose <doko@debian.org>  Tue, 16 Feb 2016 06:11:06 +0100

python-packaging (16.2-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 15 Feb 2016 19:22:46 +0100

python-packaging (15.3-1) unstable; urgency=medium

  * Initial release (Closes: #803266).

 -- Matthias Klose <doko@debian.org>  Wed, 28 Oct 2015 14:10:30 +0100

=== debian/control ===
Source: python-packaging
Section: python
Priority: optional
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 9),
  python-all, python3-all,
  dh-python,
  python-pretend, python3-pretend,
  python-pyparsing, python3-pyparsing,
  python-six, python3-six,
  python-pytest, python3-pytest,
  python-setuptools, python3-setuptools
Standards-Version: 3.9.7
Homepage: https://pypi.python.org/pypi/packaging

Package: python-packaging
Architecture: all
Depends: neurodebian-popularity-contest, ${python:Depends}, ${misc:Depends}
Description: core utilities for python packages
 These core utilities currently consist of:
  - Version Handling (PEP 440)
  - Dependency Specification (PEP 440)

Package: python3-packaging
Architecture: all
Depends: neurodebian-popularity-contest, ${python3:Depends}, ${misc:Depends}
Description: core utilities for python packages
 These core utilities currently consist of:
  - Version Handling (PEP 440)
  - Dependency Specification (PEP 440)

## python-packaging 16.6

=== debian/changelog ===
python-packaging (16.6-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 04 Apr 2016 20:07:18 +0200

python-packaging (16.5-1) unstable; urgency=medium

  * New upstream version. Closes: #816025.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Mar 2016 17:02:41 +0100

=== debian/control ===
Source: python-packaging
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 9),
  python-all, python3-all,
  dh-python,
  python-pretend, python3-pretend,
  python-pyparsing, python3-pyparsing,
  python-six, python3-six,
  python-pytest, python3-pytest,
  python-setuptools, python3-setuptools
Standards-Version: 3.9.7
Homepage: https://pypi.python.org/pypi/packaging

Package: python-packaging
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: core utilities for python packages
 These core utilities currently consist of:
  - Version Handling (PEP 440)
  - Dependency Specification (PEP 440)

Package: python3-packaging
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: core utilities for python packages
 These core utilities currently consist of:
  - Version Handling (PEP 440)
  - Dependency Specification (PEP 440)

## python-packaging 16.7

=== debian/changelog ===
python-packaging (16.7-2~bpo8+1) UNRELEASED; urgency=medium

  * jessie-backports Rebuilt for jessie.

 -- Matthias Klose <doko@debian.org>  Fri, 26 Aug 2016 00:06:10 +0000

python-packaging (16.7-2) unstable; urgency=medium

  * Build a pypy-packaging package.
  * pypy-packaging: Hard-code pypy-pyparsing as a dependency, not done
    by pybuild.

 -- Matthias Klose <doko@debian.org>  Tue, 17 May 2016 15:47:36 +0200

python-packaging (16.7-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 25 Apr 2016 17:31:34 +0000

## python-packaging 16.8

=== debian/changelog ===
python-packaging (16.8-1~bpo8+1) UNRELEASED; urgency=medium

  * jessie-backports Rebuilt for jessie.

 -- Matthias Klose <doko@debian.org>  Thu, 17 Nov 2016 22:19:13 +0000

python-packaging (16.8-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 02 Nov 2016 16:12:51 +0100

=== debian/control ===
Source: python-packaging
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 9),
  dh-python,
  python-all, python3-all, pypy,
  python-pretend, python3-pretend, pypy-pretend,
  python-pyparsing, python3-pyparsing, pypy-pyparsing,
  python-six, python3-six, pypy-six,
  python-pytest, python3-pytest,
  python-setuptools, python3-setuptools, pypy-setuptools,
Standards-Version: 3.9.8
Homepage: https://pypi.python.org/pypi/packaging

Package: python-packaging
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: core utilities for python packages
 These core utilities currently consist of:
  - Version Handling (PEP 440)
  - Dependency Specification (PEP 440)

Package: python3-packaging
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: core utilities for python3 packages
 These core utilities currently consist of:
  - Version Handling (PEP 440)
  - Dependency Specification (PEP 440)

Package: pypy-packaging
Architecture: all
Depends: ${pypy:Depends}, ${misc:Depends}, pypy-pyparsing
Description: core utilities for pypy packages
 These core utilities currently consist of:
  - Version Handling (PEP 440)
  - Dependency Specification (PEP 440)

## python-packaging 17.1

=== debian/changelog ===
python-packaging (17.1-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Fri, 09 Mar 2018 14:58:57 +0700

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
   python-six, python3-six, pypy-six,
   python-pytest, python3-pytest,
   python-setuptools, python3-setuptools, pypy-setuptools,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://pypi.python.org/pypi/packaging
 
 Package: python-packaging

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_DISABLE_pypy=test

%:
	dh $@ --with python2,python3,pypy --buildsystem=pybuild

## python-packaging 19.0

=== debian/changelog ===
python-packaging (19.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Fri, 25 Jan 2019 13:11:43 +0100

python-packaging (18.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 18 Oct 2018 12:02:04 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
   python-six, python3-six, pypy-six,
   python-pytest, python3-pytest,
   python-setuptools, python3-setuptools, pypy-setuptools,
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: https://pypi.python.org/pypi/packaging
 
 Package: python-packaging

## python-packaging 19.1

=== debian/changelog ===
python-packaging (19.1-2) unstable; urgency=medium

  * Fix test failures (Tiago Stürmer Daitx). Closes: #938969.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Sep 2019 08:30:37 +0200

python-packaging (19.1-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Aug 2019 13:49:26 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
   python-six, python3-six, pypy-six,
   python-pytest, python3-pytest,
   python-setuptools, python3-setuptools, pypy-setuptools,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://pypi.python.org/pypi/packaging
 
 Package: python-packaging

## python-packaging 20.1

=== debian/changelog ===
python-packaging (20.1-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 18 Feb 2020 17:29:16 +0100

python-packaging (20.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 07 Jan 2020 15:20:18 +0100

python-packaging (19.2-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 15 Oct 2019 16:59:15 +0200

## python-packaging 20.3

=== debian/changelog ===
python-packaging (20.3-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 23 Mar 2020 09:44:10 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
   python-six, python3-six, pypy-six,
   python-pytest, python3-pytest,
   python-setuptools, python3-setuptools, pypy-setuptools,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://pypi.python.org/pypi/packaging
 
 Package: python-packaging

## python-packaging 20.4

=== debian/changelog ===
python-packaging (20.4-1) unstable; urgency=medium

  * New upstream version.
  * Drop python2 support.
  * Bump debhelper version.

 -- Matthias Klose <doko@debian.org>  Fri, 17 Jul 2020 10:54:37 +0200

=== debian/control ===
Source: python-packaging
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 10),
  dh-python,
  python3-all, pypy,
  python3-pretend, pypy-pretend,
  python3-pyparsing, pypy-pyparsing,
  python3-six, pypy-six,
  python3-pytest,
  python3-setuptools, pypy-setuptools,
Standards-Version: 4.5.0
Homepage: https://pypi.python.org/pypi/packaging

Package: python3-packaging
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: core utilities for python3 packages
 These core utilities currently consist of:
  - Version Handling (PEP 440)
  - Dependency Specification (PEP 440)

Package: pypy-packaging
Architecture: all
Depends: ${pypy:Depends}, ${misc:Depends}, pypy-pyparsing
Description: core utilities for pypy packages
 These core utilities currently consist of:
  - Version Handling (PEP 440)
  - Dependency Specification (PEP 440)

## python-packaging 20.9

=== debian/changelog ===
python-packaging (20.9-2) unstable; urgency=medium

  * Use sysconfig.get_platform instead of distutils.util.get_platform.
    Closes: #982921.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Feb 2021 09:20:20 +0100

python-packaging (20.9-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 01 Feb 2021 17:49:05 +0100

python-packaging (20.8-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards and debhelper versions.

 -- Matthias Klose <doko@debian.org>  Wed, 23 Dec 2020 11:35:29 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
   dh-python,
   python3-all, pypy,
   python3-pretend, pypy-pretend,
@@ -10,7 +10,7 @@
   python3-six, pypy-six,
   python3-pytest,
   python3-setuptools, pypy-setuptools,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://pypi.python.org/pypi/packaging
 
 Package: python3-packaging

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 export PYBUILD_DISABLE_pypy=test
 
 %:
-	dh $@ --with python2,python3,pypy --buildsystem=pybuild
+	dh $@ --with python3,pypy --buildsystem=pybuild

=== debian/watch ===
version=3
http://pypi.debian.net/packaging/packaging-(.*)\.(?:tar\.gz|zip)

## python-packaging 21.3

=== debian/changelog ===
python-packaging (21.3-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 27 Nov 2021 09:14:41 +0100

python-packaging (21.2-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Nov 2021 17:51:57 +0100

python-packaging (21.0-1) unstable; urgency=medium

  * New upstream version.
  * New standards version.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Oct 2021 14:28:40 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
   python3-six, pypy-six,
   python3-pytest,
   python3-setuptools, pypy-setuptools,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://pypi.python.org/pypi/packaging
 
 Package: python3-packaging

## python-packaging 23.0

=== tests/requirements.txt ===
coverage[toml]>=5.0.0
pip>=9.0.2
pretend
pytest>=6.2.0

=== debian/changelog ===
python-packaging (23.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 14 Jan 2023 10:55:02 +0100

python-packaging (22.0-2) unstable; urgency=medium

  * Add build dependency on flit.

 -- Matthias Klose <doko@debian.org>  Mon, 26 Dec 2022 12:57:30 +0100

python-packaging (22.0-1) unstable; urgency=medium

  * New upstream version.
  * Update build dependencies.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Mon, 26 Dec 2022 12:25:37 +0100

python-packaging (21.3-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Stop building pypy-packaging (Closes: #1016775)

 -- Paul Gevers <elbrus@debian.org>  Sat, 27 Aug 2022 16:53:26 +0200

=== debian/control ===
Source: python-packaging
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 11),
  dh-python,
  python3-all,
  python3-pretend,
  python3-pyparsing,
  python3-six,
  python3-pytest,
  python3-setuptools,
  pybuild-plugin-pyproject,
  flit,
Standards-Version: 4.6.1
Homepage: https://pypi.python.org/pypi/packaging

Package: python3-packaging
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: core utilities for python3 packages
 These core utilities currently consist of:
  - Version Handling (PEP 440)
  - Dependency Specification (PEP 440)

## python-packaging 23.1

=== debian/changelog ===
python-packaging (23.1-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Mon, 12 Jun 2023 09:40:57 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
   python3-setuptools,
   pybuild-plugin-pyproject,
   flit,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://pypi.python.org/pypi/packaging
 
 Package: python3-packaging

## python-packaging 23.2

=== debian/changelog ===
python-packaging (23.2-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 31 Oct 2023 14:03:32 +0100

## python-packaging 24.0

=== debian/changelog ===
python-packaging (24.0-1) unstable; urgency=medium

  * New upstream version.
  * Drop build dependency on python3-six. Closes: #1064489.

 -- Matthias Klose <doko@debian.org>  Tue, 02 Apr 2024 17:20:50 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
   python3-all,
   python3-pretend,
   python3-pyparsing,
-  python3-six,
   python3-pytest,
   python3-setuptools,
   pybuild-plugin-pyproject,

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 export PYBUILD_DISABLE_pypy=test
 
 %:
-	dh $@ --with python3,pypy --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild

## python-packaging 24.1

=== debian/changelog ===
python-packaging (24.1-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Jul 2024 09:41:25 +0200

## python-packaging 24.2

=== debian/changelog ===
python-packaging (24.2-1) unstable; urgency=medium

  * New upstream version.
  * Remove build dependency on python3-setuptools.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 16 Nov 2024 17:11:23 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,9 @@
   python3-pretend,
   python3-pyparsing,
   python3-pytest,
-  python3-setuptools,
   pybuild-plugin-pyproject,
   flit,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://pypi.python.org/pypi/packaging
 
 Package: python3-packaging

## python-packaging 25.0

=== docs/requirements.txt ===
furo
sphinx-toolbox
typing-extensions>=4.1.0; python_version < "3.9"

=== debian/changelog ===
python-packaging (25.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 26 Apr 2025 09:16:50 -0400

python-packaging (24.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 12 Apr 2025 14:50:55 +0300

python-packaging (24.2-2) experimental; urgency=medium

  * Move the package to Debian Python Team.
    - Set Matthias and myself as Uploaders.
    - Add Vcs fields.
  * Add python3-packaging-whl package (needed for python3-wheel-whl).
  * Update debian/copyright.
  * Enable autopkgtest using pybuild.
  * Override Lintian warnings about test data files.
  * Fix Lintian pypi-homepage warning by pointing Homepage to GitHub.
  * Update debian/watch version to 4, and use https instead of http.
  * Update debhelper compat level to 13.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 11 Apr 2025 13:08:49 +0300

=== debian/control ===
Source: python-packaging
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Matthias Klose <doko@debian.org>, Dmitry Shachnev <mitya57@debian.org>
Build-Depends: debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-pretend,
  python3-pyparsing,
  python3-pytest,
  pybuild-plugin-pyproject,
  flit,
Standards-Version: 4.7.2
Homepage: https://github.com/pypa/packaging
Vcs-Git: https://salsa.debian.org/python-team/packages/python-packaging.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-packaging
Testsuite: autopkgtest-pkg-pybuild

Package: python3-packaging
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: core utilities for python3 packages
 These core utilities currently consist of:
  - Version Handling (PEP 440)
  - Dependency Specification (PEP 440)

Package: python3-packaging-whl
Architecture: all
Depends: ${misc:Depends}
Description: core utilities for python3 packages (wheel package)
 These core utilities currently consist of:
  - Version Handling (PEP 440)
  - Dependency Specification (PEP 440)
 .
 This is the support package for the PEP 427 wheel version of the package,
 required for using packaging inside a virtual environment.

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+WHEELS_DIR=$(CURDIR)/debian/python3-packaging-whl/usr/share/python-wheels
+export PYBUILD_NAME=packaging
+export PYBUILD_AFTER_INSTALL=mkdir -p $(WHEELS_DIR) && cp {home_dir}/*.whl $(WHEELS_DIR)
 export PYBUILD_DISABLE_pypy=test
 
 %:

=== debian/watch ===
version=4
https://pypi.debian.net/packaging/packaging-(.*)\.(?:tar\.gz|zip)
